/**
 * Files
 * Belongs to Decentraleyes.
 *
 * @author      Thomas Rientjes
 * @since       2014-07-24
 * @license     MPL 2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 */

'use strict';

/**
 * Files
 */

var files = {

    // Files [Stable]
    [Environment.STABLE]: {

        // AngularJS
        'resources/angularjs/1.0.1/angular.min.jsm': true,
        'resources/angularjs/1.0.2/angular.min.jsm': true,
        'resources/angularjs/1.0.3/angular.min.jsm': true,
        'resources/angularjs/1.0.4/angular.min.jsm': true,
        'resources/angularjs/1.0.5/angular.min.jsm': true,
        'resources/angularjs/1.0.6/angular.min.jsm': true,
        'resources/angularjs/1.0.8/angular.min.jsm': true,
        'resources/angularjs/1.2.0/angular.min.jsm': true,
        'resources/angularjs/1.2.1/angular.min.jsm': true,
        'resources/angularjs/1.2.10/angular.min.jsm': true,
        'resources/angularjs/1.2.15/angular.min.jsm': true,
        'resources/angularjs/1.2.16/angular.min.jsm': true,
        'resources/angularjs/1.2.20/angular.min.jsm': true,
        'resources/angularjs/1.2.23/angular.min.jsm': true,
        'resources/angularjs/1.2.26/angular.min.jsm': true,
        'resources/angularjs/1.2.28/angular.min.jsm': true,
        'resources/angularjs/1.2.29/angular.min.jsm': true,
        'resources/angularjs/1.3.0/angular.min.jsm': true,
        'resources/angularjs/1.3.3/angular.min.jsm': true,
        'resources/angularjs/1.3.8/angular.min.jsm': true,
        'resources/angularjs/1.3.10/angular.min.jsm': true,
        'resources/angularjs/1.3.11/angular.min.jsm': true,
        'resources/angularjs/1.3.14/angular.min.jsm': true,
        'resources/angularjs/1.3.15/angular.min.jsm': true,
        'resources/angularjs/1.4.0/angular.min.jsm': true,
        'resources/angularjs/1.4.2/angular.min.jsm': true,
        'resources/angularjs/1.4.8/angular.min.jsm': true,

        // Backbone.js
        'resources/backbone.js/0.9.0/backbone-min.jsm': true,
        'resources/backbone.js/0.9.1/backbone-min.jsm': true,
        'resources/backbone.js/0.9.2/backbone-min.jsm': true,
        'resources/backbone.js/0.9.9/backbone-min.jsm': true,
        'resources/backbone.js/0.9.10/backbone-min.jsm': true,
        'resources/backbone.js/1.0.0/backbone-min.jsm': true,
        'resources/backbone.js/1.1.0/backbone-min.jsm': true,
        'resources/backbone.js/1.1.1/backbone-min.jsm': true,
        'resources/backbone.js/1.1.2/backbone-min.jsm': true,
        'resources/backbone.js/1.2.0/backbone-min.jsm': true,
        'resources/backbone.js/1.2.1/backbone-min.jsm': true,
        'resources/backbone.js/1.2.2/backbone-min.jsm': true,
        'resources/backbone.js/1.2.3/backbone-min.jsm': true,
        
        // Bootstrap.js
        'resources/bootstrap.js/4.3.1/bootstrap.min.jsm': true,
        'resources/bootstrap.js/4.4.1/bootstrap.min.jsm': true,

        // Bootstrap.css
        'resources/bootstrap.css/4.3.1/bootstrap.min.cssm': true,
        'resources/bootstrap.css/4.4.1/bootstrap.min.cssm': true,

        // Dojo
        'resources/dojo/1.4.1/dojo/dojo.jsm': true,
        'resources/dojo/1.4.5/dojo/dojo.jsm': true,
        'resources/dojo/1.5.0/dojo/dojo.jsm': true,
        'resources/dojo/1.6.1/dojo/dojo.jsm': true,
        'resources/dojo/1.7.5/dojo/dojo.jsm': true,
        'resources/dojo/1.8.3/dojo/dojo.jsm': true,
        'resources/dojo/1.8.7/dojo/dojo.jsm': true,
        'resources/dojo/1.8.9/dojo/dojo.jsm': true,
        'resources/dojo/1.9.1/dojo/dojo.jsm': true,
        'resources/dojo/1.9.3/dojo/dojo.jsm': true,
        'resources/dojo/1.9.7/dojo/dojo.jsm': true,
        'resources/dojo/1.10.4/dojo/dojo.jsm': true,

        // Ember.js
        'resources/ember.js/1.0.1/ember.min.jsm': true,
        'resources/ember.js/1.1.3/ember.min.jsm': true,
        'resources/ember.js/1.2.2/ember.min.jsm': true,
        'resources/ember.js/1.3.2/ember.min.jsm': true,
        'resources/ember.js/1.4.0/ember.min.jsm': true,
        'resources/ember.js/1.5.1/ember.min.jsm': true,
        'resources/ember.js/2.0.0/ember.min.jsm': true,
        'resources/ember.js/2.0.2/ember.min.jsm': true,
        'resources/ember.js/2.1.0/ember.min.jsm': true,

        // Ext Core
        'resources/ext-core/3.0.0/ext-core.jsm': true,
        'resources/ext-core/3.1.0/ext-core.jsm': true,

        // jQuery
        'resources/jquery/1.2.3/jquery.min.jsm': true,
        'resources/jquery/1.2.6/jquery.min.jsm': true,
        'resources/jquery/1.3.0/jquery.min.jsm': true,
        'resources/jquery/1.3.1/jquery.min.jsm': true,
        'resources/jquery/1.3.2/jquery.min.jsm': true,
        'resources/jquery/1.4.0/jquery.min.jsm': true,
        'resources/jquery/1.4.1/jquery.min.jsm': true,
        'resources/jquery/1.4.2/jquery.min.jsm': true,
        'resources/jquery/1.4.3/jquery.min.jsm': true,
        'resources/jquery/1.4.4/jquery.min.jsm': true,
        'resources/jquery/1.5.0/jquery.min.jsm': true,
        'resources/jquery/1.5.1/jquery.min.jsm': true,
        'resources/jquery/1.5.2/jquery.min.jsm': true,
        'resources/jquery/1.6.0/jquery.min.jsm': true,
        'resources/jquery/1.6.1/jquery.min.jsm': true,
        'resources/jquery/1.6.2/jquery.min.jsm': true,
        'resources/jquery/1.6.3/jquery.min.jsm': true,
        'resources/jquery/1.6.4/jquery.min.jsm': true,
        'resources/jquery/1.7.0/jquery.min.jsm': true,
        'resources/jquery/1.7.1/jquery.min.jsm': true,
        'resources/jquery/1.7.2/jquery.min.jsm': true,
        'resources/jquery/1.8.0/jquery.min.jsm': true,
        'resources/jquery/1.8.1/jquery.min.jsm': true,
        'resources/jquery/1.8.2/jquery.min.jsm': true,
        'resources/jquery/1.8.3/jquery.min.jsm': true,
        'resources/jquery/1.9.0/jquery.min.jsm': true,
        'resources/jquery/1.9.1/jquery.min.jsm': true,
        'resources/jquery/1.10.0/jquery.min.jsm': true,
        'resources/jquery/1.10.1/jquery.min.jsm': true,
        'resources/jquery/1.10.2/jquery.min.jsm': true,
        'resources/jquery/1.11.0/jquery.min.jsm': true,
        'resources/jquery/1.11.1/jquery.min.jsm': true,
        'resources/jquery/1.11.2/jquery.min.jsm': true,
        'resources/jquery/1.11.3/jquery.min.jsm': true,
        'resources/jquery/1.12.0/jquery.min.jsm': true,
        'resources/jquery/1.12.1/jquery.min.jsm': true,
        'resources/jquery/1.12.2/jquery.min.jsm': true,
        'resources/jquery/1.12.3/jquery.min.jsm': true,
        'resources/jquery/1.12.4/jquery.min.jsm': true,
        'resources/jquery/2.0.0/jquery.min.jsm': true,
        'resources/jquery/2.0.1/jquery.min.jsm': true,
        'resources/jquery/2.0.2/jquery.min.jsm': true,
        'resources/jquery/2.0.3/jquery.min.jsm': true,
        'resources/jquery/2.1.0/jquery.min.jsm': true,
        'resources/jquery/2.1.1/jquery.min.jsm': true,
        'resources/jquery/2.1.3/jquery.min.jsm': true,
        'resources/jquery/2.1.4/jquery.min.jsm': true,
        'resources/jquery/2.2.0/jquery.min.jsm': true,
        'resources/jquery/2.2.1/jquery.min.jsm': true,
        'resources/jquery/2.2.2/jquery.min.jsm': true,
        'resources/jquery/2.2.3/jquery.min.jsm': true,
        'resources/jquery/2.2.4/jquery.min.jsm': true,
        'resources/jquery/3.0.0/jquery.min.jsm': true,
        'resources/jquery/3.1.0/jquery.min.jsm': true,
        'resources/jquery/3.1.1/jquery.min.jsm': true,
        'resources/jquery/3.2.0/jquery.min.jsm': true,
        'resources/jquery/3.2.1/jquery.min.jsm': true,
        'resources/jquery/3.3.1/jquery.min.jsm': true,
        'resources/jquery/3.4.0/jquery.min.jsm': true,
        'resources/jquery/3.4.1/jquery.min.jsm': true,

        // jQuery UI
        'resources/jqueryui/1.5.3/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.6.0/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.7.3/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.8.24/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.9.2/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.10.4/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.11.0/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.11.1/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.11.2/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.11.3/jquery-ui.min.jsm': true,
        'resources/jqueryui/1.11.4/jquery-ui.min.jsm': true,

        // Modernizr
        'resources/modernizr/2.6.2/modernizr.min.jsm': true,
        'resources/modernizr/2.7.1/modernizr.min.jsm': true,
        'resources/modernizr/2.7.2/modernizr.min.jsm': true,
        'resources/modernizr/2.8.2/modernizr.min.jsm': true,
        'resources/modernizr/2.8.3/modernizr.min.jsm': true,

        // MooTools
        'resources/mootools/1.1.1/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.1.2/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.2.1/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.2.3/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.2.4/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.2.5/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.3.0/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.3.1/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.3.2/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.4.1/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.4.5/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.5.0/mootools-yui-compressed.jsm': true,
        'resources/mootools/1.5.1/mootools-yui-compressed.jsm': true,

        // Prototype
        'resources/prototype/1.6.0.2/prototype.jsm': true,
        'resources/prototype/1.6.0.3/prototype.jsm': true,
        'resources/prototype/1.6.1.0/prototype.jsm': true,
        'resources/prototype/1.7.0.0/prototype.jsm': true,
        'resources/prototype/1.7.1.0/prototype.jsm': true,
        'resources/prototype/1.7.2.0/prototype.jsm': true,
        'resources/prototype/1.7.3.0/prototype.jsm': true,

        // Scriptaculous
        'resources/scriptaculous/1.8.1/scriptaculous.jsm': true,
        'resources/scriptaculous/1.8.2/scriptaculous.jsm': true,
        'resources/scriptaculous/1.8.3/scriptaculous.jsm': true,
        'resources/scriptaculous/1.9.0/scriptaculous.jsm': true,

        // SWFObject
        'resources/swfobject/2.1/swfobject.jsm': true,
        'resources/swfobject/2.2/swfobject.jsm': true,

        // Underscore.js
        'resources/underscore.js/1.3.0/underscore-min.jsm': true,
        'resources/underscore.js/1.3.1/underscore-min.jsm': true,
        'resources/underscore.js/1.3.3/underscore-min.jsm': true,
        'resources/underscore.js/1.4.0/underscore-min.jsm': true,
        'resources/underscore.js/1.4.1/underscore-min.jsm': true,
        'resources/underscore.js/1.4.2/underscore-min.jsm': true,
        'resources/underscore.js/1.4.3/underscore-min.jsm': true,
        'resources/underscore.js/1.4.4/underscore-min.jsm': true,
        'resources/underscore.js/1.5.0/underscore-min.jsm': true,
        'resources/underscore.js/1.5.1/underscore-min.jsm': true,
        'resources/underscore.js/1.5.2/underscore-min.jsm': true,
        'resources/underscore.js/1.6.0/underscore-min.jsm': true,
        'resources/underscore.js/1.7.0/underscore-min.jsm': true,
        'resources/underscore.js/1.8.0/underscore-min.jsm': true,
        'resources/underscore.js/1.8.1/underscore-min.jsm': true,
        'resources/underscore.js/1.8.2/underscore-min.jsm': true,
        'resources/underscore.js/1.8.3/underscore-min.jsm': true,

        // Web Font Loader
        'resources/webfont/1.0.0/webfont.jsm': true,
        'resources/webfont/1.0.1/webfont.jsm': true,
        'resources/webfont/1.0.2/webfont.jsm': true,
        'resources/webfont/1.0.3/webfont.jsm': true,
        'resources/webfont/1.0.4/webfont.jsm': true,
        'resources/webfont/1.0.5/webfont.jsm': true,
        'resources/webfont/1.0.6/webfont.jsm': true,
        'resources/webfont/1.0.9/webfont.jsm': true,
        'resources/webfont/1.0.10/webfont.jsm': true,
        'resources/webfont/1.0.11/webfont.jsm': true,
        'resources/webfont/1.0.12/webfont.jsm': true,
        'resources/webfont/1.0.13/webfont.jsm': true,
        'resources/webfont/1.0.14/webfont.jsm': true,
        'resources/webfont/1.0.15/webfont.jsm': true,
        'resources/webfont/1.0.16/webfont.jsm': true,
        'resources/webfont/1.0.17/webfont.jsm': true,
        'resources/webfont/1.0.18/webfont.jsm': true,
        'resources/webfont/1.0.19/webfont.jsm': true,
        'resources/webfont/1.0.21/webfont.jsm': true,
        'resources/webfont/1.0.22/webfont.jsm': true,
        'resources/webfont/1.0.23/webfont.jsm': true,
        'resources/webfont/1.0.24/webfont.jsm': true,
        'resources/webfont/1.0.25/webfont.jsm': true,
        'resources/webfont/1.0.26/webfont.jsm': true,
        'resources/webfont/1.0.27/webfont.jsm': true,
        'resources/webfont/1.0.28/webfont.jsm': true,
        'resources/webfont/1.0.29/webfont.jsm': true,
        'resources/webfont/1.0.30/webfont.jsm': true,
        'resources/webfont/1.0.31/webfont.jsm': true,
        'resources/webfont/1.1.0/webfont.jsm': true,
        'resources/webfont/1.1.1/webfont.jsm': true,
        'resources/webfont/1.1.2/webfont.jsm': true,
        'resources/webfont/1.3.0/webfont.jsm': true,
        'resources/webfont/1.4.2/webfont.jsm': true,
        'resources/webfont/1.4.6/webfont.jsm': true,
        'resources/webfont/1.4.7/webfont.jsm': true,
        'resources/webfont/1.4.8/webfont.jsm': true,
        'resources/webfont/1.4.10/webfont.jsm': true,
        'resources/webfont/1.5.0/webfont.jsm': true,
        'resources/webfont/1.5.2/webfont.jsm': true,
        'resources/webfont/1.5.3/webfont.jsm': true,
        'resources/webfont/1.5.6/webfont.jsm': true,
        'resources/webfont/1.5.10/webfont.jsm': true,
        'resources/webfont/1.5.18/webfont.jsm': true
    },

    // Files [Staging]
    [Environment.STAGING]: {

        // AngularJS
        'resources/angularjs/1.5.8/angular.min.jsm': true,
        'resources/angularjs/1.6.1/angular.min.jsm': true,
        'resources/angularjs/1.6.5/angular.min.jsm': true,

        // Backbone.js
        'resources/backbone.js/1.3.3/backbone-min.jsm': true,

        // Moment.js
        'resources/moment.js/2.8.3/moment.min.jsm': true,
        'resources/moment.js/2.8.4/moment.min.jsm': true,
        'resources/moment.js/2.10.2/moment.min.jsm': true,
        'resources/moment.js/2.10.3/moment.min.jsm': true,
        'resources/moment.js/2.10.6/moment.min.jsm': true,
        'resources/moment.js/2.11.1/moment.min.jsm': true,
        'resources/moment.js/2.11.2/moment.min.jsm': true,
        'resources/moment.js/2.17.0/moment.min.jsm': true,
        'resources/moment.js/2.17.1/moment.min.jsm': true,
        'resources/moment.js/2.18.1/moment.min.jsm': true,
        'resources/moment.js/2.19.1/moment.min.jsm': true,
        'resources/moment.js/2.19.2/moment.min.jsm': true,
        'resources/moment.js/2.19.3/moment.min.jsm': true,
        'resources/moment.js/2.20.1/moment.min.jsm': true,
        'resources/moment.js/2.22.0/moment.min.jsm': true,
        'resources/moment.js/2.22.1/moment.min.jsm': true,
        'resources/moment.js/2.22.2/moment.min.jsm': true,

        // Underscore.js
        'resources/underscore.js/1.9.0/underscore-min.jsm': true,
        'resources/underscore.js/1.9.1/underscore-min.jsm': true
    }
};
